python-qwt5-doc_5.2.1~cvs20091107+dfsg-7build1_all.deb


Advertisement

Description

python-qwt5-doc - Python Qwt5 technical widget library, documentation and examples

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-qwt5-doc
Package version: 5.2.1~cvs20091107+dfsg
Package release: 7build1
Package architecture: all
Package type: deb
Installed size: 203 B
Download size: 34.31 KB
Official Mirror: archive.ubuntu.com
PyQwt is a set of Python bindings for the Qwt C++ class library which extends the Qt framework with widgets for scientific and engineering applications. It provides a widget to plot 2-dimensional data and various widgets to display and control bounded or unbounded floating point values. This package contains the examples for both Qt versions.

Alternatives

    Download

    Source package: pyqwt5

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-qwt5-doc deb package:
      # sudo apt-get install python-qwt5-doc

    Files

    • /usr/share/doc/python-qwt5-doc/changelog.Debian.gz
    • /usr/share/doc/python-qwt5-doc/copyright
    • /usr/share/doc/python-qwt5-doc/qt4examples/BarPlotDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/BodeDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/CPUplot.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/CartesianDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/CliDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/CurveDemo1.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/CurveDemo2.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/CurveDemo3.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/DataDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/DialDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/ErrorBarDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/EventFilterDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/Grab.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/HistogramDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/ImagePlotDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/MapDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/MaskedDataDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/MultiDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/PickerDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/PyFontify.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/RadioDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/ReallySimpleDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/SimpleDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/SliderDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/SpectrogramDemo.py
    • /usr/share/doc/python-qwt5-doc/qt4examples/py2html.py

    Changelog

    2014-03-22 - Dmitry Shachnev <mitya57@ubuntu.com> pyqwt5 (5.2.1~cvs20091107+dfsg-7build1) trusty; urgency=medium * No-change rebuild against sip 4.15.5.

    2014-01-03 - Gudjon I. Gudjonsson <gudjon@gudjon.org> pyqwt5 (5.2.1~cvs20091107+dfsg-7) unstable; urgency=low [ Jakub Wilk ] * Add epoch to python-numpy version in Build-Depends. * Use canonical URIs for Vcs-* fields. [ Gudjon I. Gudjonsson ] * Rebuild fixes segmentation fault (Closes: #731437) * Bump standards version to 3.9.5

    2011-08-12 - Gudjon I. Gudjonsson <gudjon@gudjon.org> pyqwt5 (5.2.1~cvs20091107+dfsg-6) unstable; urgency=low * Bump standards version to 3.9.2 * Add X-Python-Version * Update python dependencies * Change from dh_pysupport to dh_python2 (Closes: #634862) * Change short description in python-qwt5-doc * Comment out QaPolygon from BodePlot demo. All examples do work now.

    2011-03-27 - Gudjon I. Gudjonsson <gudjon@gudjon.org> pyqwt5 (5.2.1~cvs20091107+dfsg-5) unstable; urgency=low * Rebuilding package (Closes: #619500)

    2011-02-26 - Gudjon I. Gudjonsson <gudjon@gudjon.org> pyqwt5 (5.2.1~cvs20091107+dfsg-4) unstable; urgency=low * Remove qt3 support (Closes: #604373) * Switch to dpkg-source 3.0 (quilt) format * Bump standards to 3.9.1 * Patch 03_fix_QwtMemArray removed. Only used for qt3 * Rewrite other patches to quilt format * Remove qt3examples from python-qwt5-doc

    2010-02-06 - Gudjon I. Gudjonsson <gudjon@gudjon.org> pyqwt5 (5.2.1~cvs20091107+dfsg-3) unstable; urgency=low * Upgrade to new sip version (Closes: #567228) * Bump standards version to 3.8.4 * Change from sip4 to sip dependencies * Change dephelper version to 7 * Add misc depends for python-qwt5-doc

    2009-11-27 - Gudjon I. Gudjonsson <gudjon@gudjon.org> pyqwt5 (5.2.1~cvs20091107+dfsg-2) unstable; urgency=low [ Jakub Wilk ] * Fix watch file. [ Gudjon I. Gudjonsson ] * Add fix to rules files that adds binary dependency on libqwt5-qt{3,4} (Closes: #557170)

    2009-11-07 - Gudjon I. Gudjonsson <gudjon@gudjon.org> pyqwt5 (5.2.1~cvs20091107+dfsg-1) unstable; urgency=low * New CVS version * Fixes problems in qt3 port * Rename README.Source to README.source and upgrade content * Add +dfsg to CVS get-orig-source target * Commented out three extra lines from configure.py that the script failed on.

    2009-11-04 - Gudjon I. Gudjonsson <gudjon@gudjon.org> pyqwt5 (5.2.0+dfsg-2) unstable; urgency=low * Change sip4 dependencies to >=4.9 * Add binary dependency on python-sip4 >=4.9 * Bump standards version to 3.8.3, no changes needed

    2009-08-09 - Gudjon I. Gudjonsson <gudjon@gudjon.org> pyqwt5 (5.2.0+dfsg-1) unstable; urgency=low * New upstream release * Remove export QTDIR from rules file * Fix watch file. Upstream path changed * DEB_UPSTREAM_VERSION not hardcoded anymore

    Advertisement
    Advertisement